using e_suite.Database.Core.Models;
using eSuite.Core.Miscellaneous;

namespace e_suite.Modules.SpecificationManager;

public static class GeneralIdExtensions
{
    public static bool GeneralIdEquals(this IGeneralId item, IGeneralIdRef compare)
    {
        if (item.Id == compare.Id) return true;
        return item.Guid == compare.Guid;
    }
}